
SITETB - Bug #258

usuarios - palavra chave

12/17/2012 03:47 PM - Estefânia Quilma Andrade

Status: Closed Start date: 12/17/2012

Priority: Normal Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente:    

Description

Alguns usuários não são localizados na pesquisa por palavra chave, ex anexo Jorge Rocha

History

#1 - 12/27/2012 04:49 PM - Maurício Dos Santos

- Status changed from New to In Progress

- Assignee set to Maurício Dos Santos

Ao selecionar os usuarios o sistema gera uma query com o seguinte trecho:

left outer join

        administrativeunit administra4_

           on userworksp0_.ADMINUNIT_ID=administra4_.id,

        administrativeunit administra9_,

        administrativeunit administra10_

    where

        tbunit3_.ADMINUNIT_ID=administra9_.id

        and administra9_.PARENT_ID=administra10_.id

        and (

            user1_.user_name like '%Jorge%'

            or user1_.login like '%Jorge%'

            or user1_.email like '%Jorge%'

            or administra10_.legacyId like '%Jorge%'

        )

 

Retirando essa parte deste trecho:

left outer join

administrativeunit administra4_

on userworksp0_.ADMINUNIT_ID=administra4_.id,

administrativeunit administra9_,

administrativeunit administra10_

where

tbunit3_.ADMINUNIT_ID=administra9_.id

and administra9_.PARENT_ID=administra10_.id

o usuario jorge aparece normalmente...

Ainda investigando...
#2 - 12/27/2012 04:58 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

- Assignee changed from Maurício Dos Santos to Estefânia Quilma Andrade

O usuario do jorge está alocado na unidade MSH...

Como o campo municipio da unidade "MSH" está em branco, no momento da consulta os usuarios dessa unidade não são localizados...

Solução: Preencher o campo municipio da unidade MSH.

Pergunta: Por que esse campo não é obrigatório?

#3 - 01/14/2013 04:32 PM - Maurício Dos Santos

Problema resolvido. Encontrado um bug na condição do método usersquery.getStaticConditions().

#4 - 01/18/2013 04:56 PM - Maurício Dos Santos

- Status changed from Resolved to Closed

- Assignee changed from Estefânia Quilma Andrade to Maurício Dos Santos
